atoms modules tests fixed
[scilab.git] / scilab / modules / atoms / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - DIGITEO
19 #
20 # This file must be used under the terms of the CeCILL.
21 # This source file is licensed as described in the file COPYING, which
22 # you should have received as part of this distribution.  The terms
23 # are also available at
24 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
25
26 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
27 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
28 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
29 #
30 # This file must be used under the terms of the CeCILL.
31 # This source file is licensed as described in the file COPYING, which
32 # you should have received as part of this distribution.  The terms
33 # are also available at
34 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42 VPATH = @srcdir@
43 am__is_gnu_make = { \
44   if test -z '$(MAKELEVEL)'; then \
45     false; \
46   elif test -n '$(MAKE_HOST)'; then \
47     true; \
48   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
49     true; \
50   else \
51     false; \
52   fi; \
53 }
54 am__make_running_with_option = \
55   case $${target_option-} in \
56       ?) ;; \
57       *) echo "am__make_running_with_option: internal error: invalid" \
58               "target option '$${target_option-}' specified" >&2; \
59          exit 1;; \
60   esac; \
61   has_opt=no; \
62   sane_makeflags=$$MAKEFLAGS; \
63   if $(am__is_gnu_make); then \
64     sane_makeflags=$$MFLAGS; \
65   else \
66     case $$MAKEFLAGS in \
67       *\\[\ \   ]*) \
68         bs=\\; \
69         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
70           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
71     esac; \
72   fi; \
73   skip_next=no; \
74   strip_trailopt () \
75   { \
76     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
77   }; \
78   for flg in $$sane_makeflags; do \
79     test $$skip_next = yes && { skip_next=no; continue; }; \
80     case $$flg in \
81       *=*|--*) continue;; \
82         -*I) strip_trailopt 'I'; skip_next=yes;; \
83       -*I?*) strip_trailopt 'I';; \
84         -*O) strip_trailopt 'O'; skip_next=yes;; \
85       -*O?*) strip_trailopt 'O';; \
86         -*l) strip_trailopt 'l'; skip_next=yes;; \
87       -*l?*) strip_trailopt 'l';; \
88       -[dEDm]) skip_next=yes;; \
89       -[JT]) skip_next=yes;; \
90     esac; \
91     case $$flg in \
92       *$$target_option*) has_opt=yes; break;; \
93     esac; \
94   done; \
95   test $$has_opt = yes
96 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
97 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
98 pkgdatadir = $(datadir)/@PACKAGE@
99 pkgincludedir = $(includedir)/@PACKAGE@
100 pkglibdir = $(libdir)/@PACKAGE@
101 pkglibexecdir = $(libexecdir)/@PACKAGE@
102 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
103 install_sh_DATA = $(install_sh) -c -m 644
104 install_sh_PROGRAM = $(install_sh) -c
105 install_sh_SCRIPT = $(install_sh) -c
106 INSTALL_HEADER = $(INSTALL_DATA)
107 transform = $(program_transform_name)
108 NORMAL_INSTALL = :
109 PRE_INSTALL = :
110 POST_INSTALL = :
111 NORMAL_UNINSTALL = :
112 PRE_UNINSTALL = :
113 POST_UNINSTALL = :
114 build_triplet = @build@
115 host_triplet = @host@
116 @NEED_JAVA_TRUE@am__append_1 = java
117 subdir = modules/atoms
118 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
119 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
120         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
121         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
122         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
123         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
124         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
125         $(top_srcdir)/m4/intel_compiler.m4 \
126         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
127         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
128         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
129         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
130         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
131         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
132         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
133         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
134         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
135         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
136         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
137 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
138         $(ACLOCAL_M4)
139 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
140 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
141 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
142 CONFIG_CLEAN_FILES =
143 CONFIG_CLEAN_VPATH_FILES =
144 AM_V_P = $(am__v_P_@AM_V@)
145 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
146 am__v_P_0 = false
147 am__v_P_1 = :
148 AM_V_GEN = $(am__v_GEN_@AM_V@)
149 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
150 am__v_GEN_0 = @echo "  GEN     " $@;
151 am__v_GEN_1 = 
152 AM_V_at = $(am__v_at_@AM_V@)
153 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
154 am__v_at_0 = @
155 am__v_at_1 = 
156 SOURCES =
157 DIST_SOURCES =
158 am__can_run_installinfo = \
159   case $$AM_UPDATE_INFO_DIR in \
160     n|no|NO) false;; \
161     *) (install-info --version) >/dev/null 2>&1;; \
162   esac
163 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
164 am__vpath_adj = case $$p in \
165     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
166     *) f=$$p;; \
167   esac;
168 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
169 am__install_max = 40
170 am__nobase_strip_setup = \
171   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
172 am__nobase_strip = \
173   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
174 am__nobase_list = $(am__nobase_strip_setup); \
175   for p in $$list; do echo "$$p $$p"; done | \
176   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
177   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
178     if (++n[$$2] == $(am__install_max)) \
179       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
180     END { for (dir in files) print dir, files[dir] }'
181 am__base_list = \
182   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
183   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
184 am__uninstall_files_from_dir = { \
185   test -z "$$files" \
186     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
187     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
188          $(am__cd) "$$dir" && rm -f $$files; }; \
189   }
190 am__installdirs = "$(DESTDIR)$(libsciatoms_la_etcdir)" \
191         "$(DESTDIR)$(libsciatoms_la_guidir)" \
192         "$(DESTDIR)$(libsciatoms_la_rootdir)" \
193         "$(DESTDIR)$(libsciatoms_la_iconsdir)"
194 DATA = $(libsciatoms_la_etc_DATA) $(libsciatoms_la_gui_DATA) \
195         $(libsciatoms_la_root_DATA) \
196         $(nobase_libsciatoms_la_icons_DATA)
197 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
198 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
199         $(top_srcdir)/config/mkinstalldirs
200 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
201 ACLOCAL = @ACLOCAL@
202 ALL_LINGUAS = @ALL_LINGUAS@
203 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
204 AMTAR = @AMTAR@
205 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
206 ANT = @ANT@
207 ANTLR = @ANTLR@
208 AR = @AR@
209 ARPACK_LIBS = @ARPACK_LIBS@
210 ASM3 = @ASM3@
211 AUTOCONF = @AUTOCONF@
212 AUTOHEADER = @AUTOHEADER@
213 AUTOMAKE = @AUTOMAKE@
214 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
215 AWK = @AWK@
216 BATIK = @BATIK@
217 BLAS_CFLAGS = @BLAS_CFLAGS@
218 BLAS_LIBS = @BLAS_LIBS@
219 CC = @CC@
220 CCACHE = @CCACHE@
221 CCDEPMODE = @CCDEPMODE@
222 CFLAGS = @CFLAGS@
223 CHECKSTYLE = @CHECKSTYLE@
224 COBERTURA = @COBERTURA@
225 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
226 COMMONS_IO = @COMMONS_IO@
227 COMMONS_LOGGING = @COMMONS_LOGGING@
228 CPP = @CPP@
229 CPPFLAGS = @CPPFLAGS@
230 CURL_CFLAGS = @CURL_CFLAGS@
231 CURL_CONFIG = @CURL_CONFIG@
232 CURL_LIBS = @CURL_LIBS@
233 CURL_VERSION = @CURL_VERSION@
234 CXX = @CXX@
235 CXXCPP = @CXXCPP@
236 CXXDEPMODE = @CXXDEPMODE@
237 CXXFLAGS = @CXXFLAGS@
238 CYGPATH_W = @CYGPATH_W@
239 DEFS = @DEFS@
240 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
241 DEPDIR = @DEPDIR@
242 DLLTOOL = @DLLTOOL@
243 DOCBOOK_ROOT = @DOCBOOK_ROOT@
244 DOXYGEN_BIN = @DOXYGEN_BIN@
245 DSYMUTIL = @DSYMUTIL@
246 DUMPBIN = @DUMPBIN@
247 ECHO_C = @ECHO_C@
248 ECHO_N = @ECHO_N@
249 ECHO_T = @ECHO_T@
250 ECJ = @ECJ@
251 EGREP = @EGREP@
252 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
253 EXEEXT = @EXEEXT@
254 F77 = @F77@
255 FFLAGS = @FFLAGS@
256 FFTW3_LIB = @FFTW3_LIB@
257 FFTW_ENABLE = @FFTW_ENABLE@
258 FGREP = @FGREP@
259 FLEXDOCK = @FLEXDOCK@
260 FLIBS = @FLIBS@
261 FOP = @FOP@
262 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
263 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
264 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
265 FREEHEP_IO = @FREEHEP_IO@
266 FREEHEP_UTIL = @FREEHEP_UTIL@
267 GENHTML = @GENHTML@
268 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
269 GIWS_BIN = @GIWS_BIN@
270 GLUEGEN2_RT = @GLUEGEN2_RT@
271 GMSGFMT = @GMSGFMT@
272 GMSGFMT_015 = @GMSGFMT_015@
273 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
274 GREP = @GREP@
275 GUI_ENABLE = @GUI_ENABLE@
276 HAMCREST = @HAMCREST@
277 HAVE_CXX11 = @HAVE_CXX11@
278 HDF5_CFLAGS = @HDF5_CFLAGS@
279 HDF5_LIBS = @HDF5_LIBS@
280 HELP_ENABLE = @HELP_ENABLE@
281 INSTALL = @INSTALL@
282 INSTALL_DATA = @INSTALL_DATA@
283 INSTALL_PROGRAM = @INSTALL_PROGRAM@
284 INSTALL_SCRIPT = @INSTALL_SCRIPT@
285 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
286 INTLLIBS = @INTLLIBS@
287 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
288 JAR = @JAR@
289 JAVA = @JAVA@
290 JAVAC = @JAVAC@
291 JAVAC_DEBUG = @JAVAC_DEBUG@
292 JAVADOC = @JAVADOC@
293 JAVAH = @JAVAH@
294 JAVASCI_ENABLE = @JAVASCI_ENABLE@
295 JAVA_ENABLE = @JAVA_ENABLE@
296 JAVA_G = @JAVA_G@
297 JAVA_HOME = @JAVA_HOME@
298 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
299 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
300 JDB = @JDB@
301 JEUCLID_CORE = @JEUCLID_CORE@
302 JGRAPHX = @JGRAPHX@
303 JHALL = @JHALL@
304 JLATEXMATH = @JLATEXMATH@
305 JLATEXMATH_FOP = @JLATEXMATH_FOP@
306 JOGL2 = @JOGL2@
307 JROSETTA_API = @JROSETTA_API@
308 JROSETTA_ENGINE = @JROSETTA_ENGINE@
309 JUNIT4 = @JUNIT4@
310 LAPACK_LIBS = @LAPACK_LIBS@
311 LCOV = @LCOV@
312 LD = @LD@
313 LDFLAGS = @LDFLAGS@
314 LEX = @LEX@
315 LEXLIB = @LEXLIB@
316 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
317 LIBICONV = @LIBICONV@
318 LIBINTL = @LIBINTL@
319 LIBM = @LIBM@
320 LIBOBJS = @LIBOBJS@
321 LIBS = @LIBS@
322 LIBTOOL = @LIBTOOL@
323 LIPO = @LIPO@
324 LN_S = @LN_S@
325 LOGGING_LEVEL = @LOGGING_LEVEL@
326 LOOKS = @LOOKS@
327 LTLIBICONV = @LTLIBICONV@
328 LTLIBINTL = @LTLIBINTL@
329 LTLIBOBJS = @LTLIBOBJS@
330 MAINT = @MAINT@
331 MAKEINFO = @MAKEINFO@
332 MANIFEST_TOOL = @MANIFEST_TOOL@
333 MATIO_CFLAGS = @MATIO_CFLAGS@
334 MATIO_ENABLE = @MATIO_ENABLE@
335 MATIO_LIBS = @MATIO_LIBS@
336 MKDIR_P = @MKDIR_P@
337 MPI_ENABLE = @MPI_ENABLE@
338 MSGCAT = @MSGCAT@
339 MSGFMT = @MSGFMT@
340 MSGFMT_015 = @MSGFMT_015@
341 MSGMERGE = @MSGMERGE@
342 NM = @NM@
343 NMEDIT = @NMEDIT@
344 OBJDUMP = @OBJDUMP@
345 OBJEXT = @OBJEXT@
346 OCAMLC = @OCAMLC@
347 OCAMLDEP = @OCAMLDEP@
348 OCAMLLEX = @OCAMLLEX@
349 OCAMLOPT = @OCAMLOPT@
350 OCAMLYACC = @OCAMLYACC@
351 OPENMPI_CC = @OPENMPI_CC@
352 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
353 OPENMPI_CXX = @OPENMPI_CXX@
354 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
355 OPENMPI_LIBS = @OPENMPI_LIBS@
356 OPENMP_CFLAGS = @OPENMP_CFLAGS@
357 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
358 OPENMP_ENABLE = @OPENMP_ENABLE@
359 OPENMP_LIBS = @OPENMP_LIBS@
360 OTOOL = @OTOOL@
361 OTOOL64 = @OTOOL64@
362 PACKAGE = @PACKAGE@
363 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
364 PACKAGE_NAME = @PACKAGE_NAME@
365 PACKAGE_STRING = @PACKAGE_STRING@
366 PACKAGE_TARNAME = @PACKAGE_TARNAME@
367 PACKAGE_URL = @PACKAGE_URL@
368 PACKAGE_VERSION = @PACKAGE_VERSION@
369 PATH_SEPARATOR = @PATH_SEPARATOR@
370 PCRE_CFLAGS = @PCRE_CFLAGS@
371 PCRE_CONFIG = @PCRE_CONFIG@
372 PCRE_LIBS = @PCRE_LIBS@
373 PCRE_VERSION = @PCRE_VERSION@
374 PKG_CONFIG = @PKG_CONFIG@
375 POSUB = @POSUB@
376 POW_LIB = @POW_LIB@
377 PYTHON = @PYTHON@
378 RANLIB = @RANLIB@
379 RELOCATABLE = @RELOCATABLE@
380 RT_LIB = @RT_LIB@
381 SAXON = @SAXON@
382 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
383 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
384 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
385 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
386 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
387 SCIRENDERER = @SCIRENDERER@
388 SCIRENDERER_CP = @SCIRENDERER_CP@
389 SCI_CFLAGS = @SCI_CFLAGS@
390 SCI_CXXFLAGS = @SCI_CXXFLAGS@
391 SCI_FFLAGS = @SCI_FFLAGS@
392 SCI_LDFLAGS = @SCI_LDFLAGS@
393 SED = @SED@
394 SET_MAKE = @SET_MAKE@
395 SET_RELOCATABLE = @SET_RELOCATABLE@
396 SHELL = @SHELL@
397 SKINLF = @SKINLF@
398 SPLINT = @SPLINT@
399 STRIP = @STRIP@
400 SWIG_BIN = @SWIG_BIN@
401 SWIG_JAVA = @SWIG_JAVA@
402 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
403 SWIG_SCILAB = @SWIG_SCILAB@
404 TCLTK_LIBS = @TCLTK_LIBS@
405 TCL_INC_PATH = @TCL_INC_PATH@
406 TK_INC_PATH = @TK_INC_PATH@
407 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
408 UMFPACK_ENABLE = @UMFPACK_ENABLE@
409 UMFPACK_LIB = @UMFPACK_LIB@
410 USE_NLS = @USE_NLS@
411 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
412 VALGRIND_LIBS = @VALGRIND_LIBS@
413 VERSION = @VERSION@
414 WITH_OCAML = @WITH_OCAML@
415 WITH_TKSCI = @WITH_TKSCI@
416 XCOS_ENABLE = @XCOS_ENABLE@
417 XGETTEXT = @XGETTEXT@
418 XGETTEXT_015 = @XGETTEXT_015@
419 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
420 XMKMF = @XMKMF@
421 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
422 XML_APIS_EXT = @XML_APIS_EXT@
423 XML_CONFIG = @XML_CONFIG@
424 XML_FLAGS = @XML_FLAGS@
425 XML_LIBS = @XML_LIBS@
426 XML_VERSION = @XML_VERSION@
427 X_CFLAGS = @X_CFLAGS@
428 X_EXTRA_LIBS = @X_EXTRA_LIBS@
429 X_LIBS = @X_LIBS@
430 X_PRE_LIBS = @X_PRE_LIBS@
431 YACC = @YACC@
432 YFLAGS = @YFLAGS@
433 abs_builddir = @abs_builddir@
434 abs_srcdir = @abs_srcdir@
435 abs_top_builddir = @abs_top_builddir@
436 abs_top_srcdir = @abs_top_srcdir@
437 ac_ct_AR = @ac_ct_AR@
438 ac_ct_CC = @ac_ct_CC@
439 ac_ct_CXX = @ac_ct_CXX@
440 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
441 ac_ct_F77 = @ac_ct_F77@
442 am__include = @am__include@
443 am__leading_dot = @am__leading_dot@
444 am__quote = @am__quote@
445 am__tar = @am__tar@
446 am__untar = @am__untar@
447 bindir = @bindir@
448 build = @build@
449 build_alias = @build_alias@
450 build_cpu = @build_cpu@
451 build_os = @build_os@
452 build_vendor = @build_vendor@
453 builddir = @builddir@
454 cxx_present = @cxx_present@
455 datadir = @datadir@
456 datarootdir = @datarootdir@
457 docdir = @docdir@
458 dvidir = @dvidir@
459 exec_prefix = @exec_prefix@
460 host = @host@
461 host_alias = @host_alias@
462 host_cpu = @host_cpu@
463 host_os = @host_os@
464 host_vendor = @host_vendor@
465 htmldir = @htmldir@
466 includedir = @includedir@
467 infodir = @infodir@
468 install_sh = @install_sh@
469 libdir = @libdir@
470 libexecdir = @libexecdir@
471 localedir = @localedir@
472 localstatedir = @localstatedir@
473 mandir = @mandir@
474 mkdir_p = @mkdir_p@
475 oldincludedir = @oldincludedir@
476 pdfdir = @pdfdir@
477 prefix = @prefix@
478 program_transform_name = @program_transform_name@
479 psdir = @psdir@
480 sbindir = @sbindir@
481 sharedstatedir = @sharedstatedir@
482 srcdir = @srcdir@
483 sysconfdir = @sysconfdir@
484 target_alias = @target_alias@
485 top_build_prefix = @top_build_prefix@
486 top_builddir = @top_builddir@
487 top_srcdir = @top_srcdir@
488 yacc_present = @yacc_present@
489 modulename = atoms
490
491 #### atoms : Conf files ####
492 libsciatoms_la_rootdir = $(mydatadir)
493 libsciatoms_la_root_DATA = license.txt 
494
495 #### atoms : init scripts ####
496 libsciatoms_la_etcdir = $(mydatadir)/etc
497 libsciatoms_la_etc_DATA = etc/atoms.quit etc/atoms.start etc/repositories
498
499 #### atoms : XML gui ####
500 libsciatoms_la_guidir = $(mydatadir)/gui
501 libsciatoms_la_gui_DATA = gui/atomsGui.xml
502
503 #### atoms : internal functions ####
504 MACROSDIRSEXT = macros/atoms_internals macros/atoms_gui
505
506 #### atoms : icons files ####
507 #
508 # Generated with:
509 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
510 libsciatoms_la_iconsdir = $(mydatadir)/
511 nobase_libsciatoms_la_icons_DATA = images/icons/16x16/emblems/emblem-default.png \
512 images/icons/16x16/status/dialog-information.png \
513 images/icons/16x16/status/software-update-available.png \
514 images/icons/16x16/status/software-update-installed.png \
515 images/icons/16x16/status/software-update-notinstalled.png \
516 images/icons/16x16/status/software-update-notuptodate.png
517
518
519 # Where all the Scilab stuff is installed (macros, help, ...)
520 mydatadir = $(pkgdatadir)/modules/$(modulename)
521
522 # Set AM_* SCI detected settings
523 AM_CPPFLAGS = $(SCI_CPPFLAGS)
524 AM_CFLAGS = $(SCI_CFLAGS)
525 AM_CXXFLAGS = $(SCI_CXXFLAGS)
526 # append includes to AM_FFLAGS to manage fortran includes
527 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
528
529 # Tag shared libraries with the Scilab version
530 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
531
532 # splint options
533 SPLINT_OPTIONS = -weak -booltype BOOL
534
535 ########################### JAVA ######################################
536 #### We are delegating java compilation to ant... Thanks to that
537 #### the procedure will be the same with Microsoft Windows (C)
538 #### and Linux/Unix
539 #######################################################################
540 TARGETS_ALL = $(am__append_1)
541
542 ################ MACROS ######################
543 # Rule to build a macro
544 # NOT USED  AT THE MOMENT
545 SUFFIXES = .sci
546
547 ########### INSTALL DOCUMENTATION ###################
548
549 # Install documentation files into the right target
550 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
551 # automake needs the html files to be present which is not the case when
552 # we are building Scilab
553
554 # Where it should be installed
555 pkgdocdir = $(mydatadir)
556
557 # What is the mask of the help source
558 DOCMASKXML = *.xml
559
560 # What is the mask of the MathML sources
561 DOCMASKMML = *.mml
562
563 ########### INSTALL DATA ###################
564 # Install macros, help & demos
565 # Where it should be installed
566 pkgmacrosdir = $(mydatadir)
567 # Which directory we process
568 MACRODIRS = macros/
569 # Mask of the Scilab sources macros
570 MACROMASK = *.sci
571 # Mask of the Scilab executable sources macros
572 MACROBUILDMASK = *.sce
573 # Mask of the Scilab compiled macros
574 MACROBINMASK = *.bin
575 # List of the standard directory for tests
576 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
577 # Where the demos should be installed
578 pkgdemosdir = $(mydatadir)
579 # List of the standard directory for demos
580 DEMOS_DIR = demos
581 # List of the standard directory for examples
582 EXAMPLES_DIR = examples
583 # Where to export JAVA archives (.jar)
584 JARDIR = jar/
585 # JAR files mask
586 JARMASK = *.jar
587 # Chapter file
588 HELP_CHAPTERDIR = help/
589 HELP_CHAPTERFILE = addchapter.sce
590 HELP_CHAPTERLANG = en_US fr_FR pt_BR
591 all: all-am
592
593 .SUFFIXES:
594 .SUFFIXES: .sci .bin
595 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
596         @for dep in $?; do \
597           case '$(am__configure_deps)' in \
598             *$$dep*) \
599               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
600                 && { if test -f $@; then exit 0; else break; fi; }; \
601               exit 1;; \
602           esac; \
603         done; \
604         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/atoms/Makefile'; \
605         $(am__cd) $(top_srcdir) && \
606           $(AUTOMAKE) --foreign modules/atoms/Makefile
607 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
608         @case '$?' in \
609           *config.status*) \
610             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
611           *) \
612             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
613             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
614         esac;
615 $(top_srcdir)/Makefile.incl.am $(am__empty):
616
617 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
618         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
619
620 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
621         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
622 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
623         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
624 $(am__aclocal_m4_deps):
625
626 mostlyclean-libtool:
627         -rm -f *.lo
628
629 clean-libtool:
630         -rm -rf .libs _libs
631 install-libsciatoms_la_etcDATA: $(libsciatoms_la_etc_DATA)
632         @$(NORMAL_INSTALL)
633         @list='$(libsciatoms_la_etc_DATA)'; test -n "$(libsciatoms_la_etcdir)" || list=; \
634         if test -n "$$list"; then \
635           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_etcdir)'"; \
636           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_etcdir)" || exit 1; \
637         fi; \
638         for p in $$list; do \
639           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
640           echo "$$d$$p"; \
641         done | $(am__base_list) | \
642         while read files; do \
643           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_etcdir)'"; \
644           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_etcdir)" || exit $$?; \
645         done
646
647 uninstall-libsciatoms_la_etcDATA:
648         @$(NORMAL_UNINSTALL)
649         @list='$(libsciatoms_la_etc_DATA)'; test -n "$(libsciatoms_la_etcdir)" || list=; \
650         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
651         dir='$(DESTDIR)$(libsciatoms_la_etcdir)'; $(am__uninstall_files_from_dir)
652 install-libsciatoms_la_guiDATA: $(libsciatoms_la_gui_DATA)
653         @$(NORMAL_INSTALL)
654         @list='$(libsciatoms_la_gui_DATA)'; test -n "$(libsciatoms_la_guidir)" || list=; \
655         if test -n "$$list"; then \
656           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_guidir)'"; \
657           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_guidir)" || exit 1; \
658         fi; \
659         for p in $$list; do \
660           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
661           echo "$$d$$p"; \
662         done | $(am__base_list) | \
663         while read files; do \
664           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_guidir)'"; \
665           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_guidir)" || exit $$?; \
666         done
667
668 uninstall-libsciatoms_la_guiDATA:
669         @$(NORMAL_UNINSTALL)
670         @list='$(libsciatoms_la_gui_DATA)'; test -n "$(libsciatoms_la_guidir)" || list=; \
671         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
672         dir='$(DESTDIR)$(libsciatoms_la_guidir)'; $(am__uninstall_files_from_dir)
673 install-libsciatoms_la_rootDATA: $(libsciatoms_la_root_DATA)
674         @$(NORMAL_INSTALL)
675         @list='$(libsciatoms_la_root_DATA)'; test -n "$(libsciatoms_la_rootdir)" || list=; \
676         if test -n "$$list"; then \
677           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_rootdir)'"; \
678           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_rootdir)" || exit 1; \
679         fi; \
680         for p in $$list; do \
681           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
682           echo "$$d$$p"; \
683         done | $(am__base_list) | \
684         while read files; do \
685           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_rootdir)'"; \
686           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_rootdir)" || exit $$?; \
687         done
688
689 uninstall-libsciatoms_la_rootDATA:
690         @$(NORMAL_UNINSTALL)
691         @list='$(libsciatoms_la_root_DATA)'; test -n "$(libsciatoms_la_rootdir)" || list=; \
692         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
693         dir='$(DESTDIR)$(libsciatoms_la_rootdir)'; $(am__uninstall_files_from_dir)
694 install-nobase_libsciatoms_la_iconsDATA: $(nobase_libsciatoms_la_icons_DATA)
695         @$(NORMAL_INSTALL)
696         @list='$(nobase_libsciatoms_la_icons_DATA)'; test -n "$(libsciatoms_la_iconsdir)" || list=; \
697         if test -n "$$list"; then \
698           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_iconsdir)'"; \
699           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_iconsdir)" || exit 1; \
700         fi; \
701         $(am__nobase_list) | while read dir files; do \
702           xfiles=; for file in $$files; do \
703             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
704             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
705           test -z "$$xfiles" || { \
706             test "x$$dir" = x. || { \
707               echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir'"; \
708               $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir"; }; \
709             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir'"; \
710             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir" || exit $$?; }; \
711         done
712
713 uninstall-nobase_libsciatoms_la_iconsDATA:
714         @$(NORMAL_UNINSTALL)
715         @list='$(nobase_libsciatoms_la_icons_DATA)'; test -n "$(libsciatoms_la_iconsdir)" || list=; \
716         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
717         dir='$(DESTDIR)$(libsciatoms_la_iconsdir)'; $(am__uninstall_files_from_dir)
718 tags TAGS:
719
720 ctags CTAGS:
721
722 cscope cscopelist:
723
724
725 distdir: $(DISTFILES)
726         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
727         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
728         list='$(DISTFILES)'; \
729           dist_files=`for file in $$list; do echo $$file; done | \
730           sed -e "s|^$$srcdirstrip/||;t" \
731               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
732         case $$dist_files in \
733           */*) $(MKDIR_P) `echo "$$dist_files" | \
734                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
735                            sort -u` ;; \
736         esac; \
737         for file in $$dist_files; do \
738           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
739           if test -d $$d/$$file; then \
740             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
741             if test -d "$(distdir)/$$file"; then \
742               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
743             fi; \
744             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
745               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
746               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
747             fi; \
748             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
749           else \
750             test -f "$(distdir)/$$file" \
751             || cp -p $$d/$$file "$(distdir)/$$file" \
752             || exit 1; \
753           fi; \
754         done
755 check-am: all-am
756         $(MAKE) $(AM_MAKEFLAGS) check-local
757 check: check-am
758 all-am: Makefile $(DATA) all-local
759 installdirs:
760         for dir in "$(DESTDIR)$(libsciatoms_la_etcdir)" "$(DESTDIR)$(libsciatoms_la_guidir)" "$(DESTDIR)$(libsciatoms_la_rootdir)" "$(DESTDIR)$(libsciatoms_la_iconsdir)"; do \
761           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
762         done
763 install: install-am
764 install-exec: install-exec-am
765 install-data: install-data-am
766 uninstall: uninstall-am
767
768 install-am: all-am
769         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
770
771 installcheck: installcheck-am
772 install-strip:
773         if test -z '$(STRIP)'; then \
774           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
775             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
776               install; \
777         else \
778           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
779             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
780             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
781         fi
782 mostlyclean-generic:
783
784 clean-generic:
785
786 distclean-generic:
787         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
788         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
789
790 maintainer-clean-generic:
791         @echo "This command is intended for maintainers to use"
792         @echo "it deletes files that may require special tools to rebuild."
793 clean: clean-am
794
795 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
796
797 distclean: distclean-am
798         -rm -f Makefile
799 distclean-am: clean-am distclean-generic distclean-local
800
801 dvi: dvi-am
802
803 dvi-am:
804
805 html: html-am
806
807 html-am:
808
809 info: info-am
810
811 info-am:
812
813 install-data-am: install-data-local install-libsciatoms_la_etcDATA \
814         install-libsciatoms_la_guiDATA install-libsciatoms_la_rootDATA \
815         install-nobase_libsciatoms_la_iconsDATA
816
817 install-dvi: install-dvi-am
818
819 install-dvi-am:
820
821 install-exec-am:
822
823 install-html: install-html-am
824
825 install-html-am: install-html-local
826
827 install-info: install-info-am
828
829 install-info-am:
830
831 install-man:
832
833 install-pdf: install-pdf-am
834
835 install-pdf-am:
836
837 install-ps: install-ps-am
838
839 install-ps-am:
840
841 installcheck-am:
842
843 maintainer-clean: maintainer-clean-am
844         -rm -f Makefile
845 maintainer-clean-am: distclean-am maintainer-clean-generic
846
847 mostlyclean: mostlyclean-am
848
849 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
850
851 pdf: pdf-am
852
853 pdf-am:
854
855 ps: ps-am
856
857 ps-am:
858
859 uninstall-am: uninstall-libsciatoms_la_etcDATA \
860         uninstall-libsciatoms_la_guiDATA \
861         uninstall-libsciatoms_la_rootDATA \
862         uninstall-nobase_libsciatoms_la_iconsDATA
863
864 .MAKE: check-am install-am install-strip
865
866 .PHONY: all all-am all-local check check-am check-local clean \
867         clean-generic clean-libtool clean-local cscopelist-am ctags-am \
868         distclean distclean-generic distclean-libtool distclean-local \
869         distdir dvi dvi-am html html-am info info-am install \
870         install-am install-data install-data-am install-data-local \
871         install-dvi install-dvi-am install-exec install-exec-am \
872         install-html install-html-am install-html-local install-info \
873         install-info-am install-libsciatoms_la_etcDATA \
874         install-libsciatoms_la_guiDATA install-libsciatoms_la_rootDATA \
875         install-man install-nobase_libsciatoms_la_iconsDATA \
876         install-pdf install-pdf-am install-ps install-ps-am \
877         install-strip installcheck installcheck-am installdirs \
878         maintainer-clean maintainer-clean-generic mostlyclean \
879         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
880         tags-am uninstall uninstall-am \
881         uninstall-libsciatoms_la_etcDATA \
882         uninstall-libsciatoms_la_guiDATA \
883         uninstall-libsciatoms_la_rootDATA \
884         uninstall-nobase_libsciatoms_la_iconsDATA
885
886 .PRECIOUS: Makefile
887
888
889 # This target enables tests for Scilab
890 check-local: $(top_builddir)/scilab-bin test
891         if test -d $(mydatadir)/tests; then \
892           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
893         fi
894 check-code:
895         if test -f build.xml; then \
896                 $(ANT) checkstyle; \
897         fi
898         if test -x "$(SPLINT)"; then \
899                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
900         fi
901 @NEED_JAVA_TRUE@java:
902 # Some configurations needs to export JAVA_HOME in the current env
903 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
904 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
905 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
906 @NEED_JAVA_TRUE@                $(ANT); \
907 @NEED_JAVA_TRUE@        fi
908
909 @NEED_JAVA_TRUE@clean-java:
910 # Some configurations needs to export JAVA_HOME in the current env
911 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
912 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
913 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
914 @NEED_JAVA_TRUE@                $(ANT) clean; \
915 @NEED_JAVA_TRUE@        fi;
916
917 # If the user request for the SWIG generation of the wrappers Java => C/C++
918 # We call the target swig-build on the variable SWIG_WRAPPERS
919
920 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
921 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
922 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
923 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
924 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
925 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
926 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
927 @SWIG_TRUE@             done; \
928 @SWIG_TRUE@     fi
929
930 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
931 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
932 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
933 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
934 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
935 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
936 @SWIG_TRUE@             done; \
937 @SWIG_TRUE@     fi
938
939 # If the user request for the SWIG generation of the wrappers Java => C/C++
940 # We call the target swig-build on the variable SWIG_WRAPPERS
941
942 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
943 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
944 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
945 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
946 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
947 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
948 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
949 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
950 @GIWS_TRUE@                     else \
951 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
952 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
953 @GIWS_TRUE@                     fi \
954 @GIWS_TRUE@             done; \
955 @GIWS_TRUE@     fi
956
957 @GIWS_TRUE@giws-exception:
958 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
959 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
960 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
961
962 macros:
963         -@( if test ! -x $(top_builddir)/scilab-bin; then \
964                 echo "Error : Cannot build $< : Scilab has not been built"; \
965         else \
966                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
967         fi)
968
969 # Removes the macros
970 clean-macros:
971 # Removes macros (*.bin generated from .sci)
972         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
973                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
974                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
975         done
976
977 test:
978 # More tests could be added here
979         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
980         if test -f build.xml -a $$USEANT -eq 1; then \
981                 $(ANT) test; \
982         fi
983
984 all-local: $(TARGETS_ALL)
985
986 .sci.bin:
987         -@( if test ! -x $(top_builddir)/scilab-bin; then \
988         echo "Error : Cannot build $< : Scilab has not been build"; \
989         else \
990         echo "Creating $@"; \
991         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
992         fi )
993
994 install-html-local:
995
996 install-data-local-local:
997 # Mainly for javasci
998         @if test -d $(srcdir)/javadoc; then \
999                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1000         fi
1001 # If the user wants the help sources to be installed
1002 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1003 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1004 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1005 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1006 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1007 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1008 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1009 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1010 @INSTALL_HELP_XML_TRUE@           done ; \
1011 @INSTALL_HELP_XML_TRUE@         fi; \
1012 @INSTALL_HELP_XML_TRUE@  fi; \
1013 @INSTALL_HELP_XML_TRUE@ done; \
1014 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1015 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1016 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1017 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1018 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1019 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1020 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1021 @INSTALL_HELP_XML_TRUE@           done ; \
1022 @INSTALL_HELP_XML_TRUE@         fi; \
1023 @INSTALL_HELP_XML_TRUE@ fi
1024 install-data-local:
1025 # Install the tests
1026         @echo "-------- Install tests (if any) --------"; \
1027         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1028           if test -d $(srcdir)/$$dir/; then \
1029             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1030                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1031                     if test -d "$(srcdir)/$$dir/$$file"; then \
1032                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1033                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1034                     else \
1035                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1036                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1037                     fi \
1038                   done; \
1039           fi; \
1040         done
1041 # Install the help chapter
1042         @echo "-------- Install the help chapter (if any) --------"; \
1043         for lang in $(HELP_CHAPTERLANG); do \
1044                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1045                 if test -f $$HELPFILE; then \
1046                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1047                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1048                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1049                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1050                 fi; \
1051         done
1052 # Install the demos & examples
1053         @echo "-------- Install demos & examples (if any) --------"; \
1054         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1055           if test -d $(srcdir)/$$dir/; then \
1056             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1057                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1058                     if test -d "$(srcdir)/$$dir/$$file"; then \
1059                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1060                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1061                     else \
1062                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1063                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1064                     fi \
1065                   done; \
1066           fi; \
1067         done
1068 # Install the macros
1069         @echo "-------- Install macros (if any) --------"; \
1070         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1071           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1072                 if test -d $(srcdir)/$$dir/; then \
1073                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1074                         if test -n "$(MACROSSPECIALEXT)"; then \
1075                                 specialExtDir=""; \
1076                                 for specialExt in $(MACROSSPECIALEXT); do \
1077                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1078                                 done; \
1079                                 FILELIST="$$FILELIST $$specialExtDir"; \
1080                         fi; \
1081                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1082                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1083                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1084                   done; \
1085                 fi; \
1086         done
1087 # Install java files (.jar)
1088         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1089         echo "-------- Install jar files --------"; \
1090     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1091           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1092                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1093                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1094           done ; \
1095         fi
1096
1097 ########### CLEAN ###################
1098 # Clean help (generated automatically by Scilab)
1099 # It used to clean the macro (clean-macros) but this was causing
1100 # make clean && make to fail Scilab startup
1101 @NEED_JAVA_TRUE@clean-local: clean-java
1102 @NEED_JAVA_FALSE@clean-local:
1103
1104 distclean-local:
1105         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1106
1107 .PHONY: macros java swig giws
1108
1109 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1110 # Otherwise a system limit (for SysV at least) may be exceeded.
1111 .NOEXPORT: